%define section	free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/medor
#  cvs login
#  cvs export -r MEDOR_1_6 medor
#  find medor -name '*.jar' | xargs rm

Name:		medor
Summary:	Middleware Enabling Distributed Object Requests
Version:	1.6
Release:	1jpp_1rh
Epoch:		0
URL:		http://medor.objectweb.org/
License:	LGPL
Group:		Development/Libraries/Java
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	jorm-rdb-adapter >= 3.0
BuildRequires:	junit
BuildRequires:	medor-expression >= 1.6
BuildRequires:	monolog
Requires:		jorm-rdb-adapter >= 3.0
Requires:		junit
Requires:		medor-expression >= 1.6
Requires:		monolog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
MEDOR (Middleware Enabling Distributed Object Requests) allows the
expression, optimisation and evaluation of queries on heterogeneous
distributed objects.  Projection to relational databases, including
complex mapping, is managed through integration with JORM.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n medor
build-jar-repository externals \
    jorm/ow_jorm_rdb_adapter \
    junit \
    medor/ow_medor_clone \
    medor/ow_medor_exp \
    monolog/ow_monolog \
    monolog/ow_util_io

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc
rm -f output/dist/lib/ow_medor_test.jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in output/dist/lib/*.jar; do
    base=`basename $jar .jar`
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$base-%{version}.jar
    ln -s $base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$base.jar
done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/jdoc/%{name} \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Jul 27 2005 Deepak Bhole <dbhole@redhat.com> 0:1.6-1jpp_1rh
- Updated version.

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:1.5.3-1jpp_1rh
- First Red Hat build.
- Updated version.

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:1.4.4-1jpp_1fc
- Apply jonas patch.

* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:1.4.4-1jpp
- Initial build.
